Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.artenum.jyconsole.io
Class InteractiveCommandLine

    java.lang.Object
      com.artenum.jyconsole.io.InteractiveCommandLine

All Implemented Interfaces:
  javax.swing.event.DocumentListener, java.util.EventListener

public class InteractiveCommandLine
extends java.lang.Object
implements javax.swing.event.DocumentListener

Author:
  Sebastien Jourdain, jourdain@artenum.com

Constructor Summary
`InteractiveCommandLine(javax.swing.text.StyledDocument doc, javax.swing.JTextPane uiPart, Prompt prompt, java.lang.String defaultStyleName)`

Method Summary
`void` | `append(java.lang.String txt)`
`boolean` | `askForDictionnary()`
`void` | `backSpace()`
`void` | `changedUpdate(javax.swing.event.DocumentEvent e)`
`int` | `getCaretPosition()`
`java.awt.Point` | `getCaretPositionPoint()`
`java.lang.String` | `getCmdLine()`
`java.lang.String` | `getCompletionCmd()`
`java.lang.String` | `getFilterCmd()`
`void` | `getFocus()`
`void` | `insertUpdate(javax.swing.event.DocumentEvent e)`
`void` | `removeUpdate(javax.swing.event.DocumentEvent e)`
`void` | `reset()`
`void` | `setCompletionCmd(java.lang.String cCmd)`
`void` | `setFilteredCmd(java.lang.String fCmd)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InteractiveCommandLine

    public InteractiveCommandLine(javax.swing.text.StyledDocument doc,
                                  javax.swing.JTextPane uiPart,
                                  Prompt prompt,
                                  java.lang.String defaultStyleName)

Method Detail

### getCaretPosition

    public int getCaretPosition()

### getCmdLine

    public java.lang.String getCmdLine()

### append

    public void append(java.lang.String txt)

### reset

    public void reset()

### getCaretPositionPoint

    public java.awt.Point getCaretPositionPoint()

### askForDictionnary

    public boolean askForDictionnary()

### getCompletionCmd

    public java.lang.String getCompletionCmd()

### getFilterCmd

    public java.lang.String getFilterCmd()

### setCompletionCmd

    public void setCompletionCmd(java.lang.String cCmd)

### setFilteredCmd

    public void setFilteredCmd(java.lang.String fCmd)

### backSpace

    public void backSpace()

### changedUpdate

    public void changedUpdate(javax.swing.event.DocumentEvent e)

  Specified by:
    `changedUpdate` in interface `javax.swing.event.DocumentListener`

### insertUpdate

    public void insertUpdate(javax.swing.event.DocumentEvent e)

  Specified by:
    `insertUpdate` in interface `javax.swing.event.DocumentListener`

### removeUpdate

    public void removeUpdate(javax.swing.event.DocumentEvent e)

  Specified by:
    `removeUpdate` in interface `javax.swing.event.DocumentListener`

### getFocus

    public void getFocus()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

     (c) Copyright: Artenum SARL, 101-103 Boulevard Mac Donald,
                    75019, Paris, France 2005.
                    http://www.artenum.com

     License:

      This program is free software; you can redistribute it
      and/or modify it under the terms of the Q Public License;
      either version 1 of the License.

      This program is distributed in the hope that it will be
      useful, but WITHOUT ANY WARRANTY; without even the implied
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
      PURPOSE. See the Q Public License for more details.

      You should have received a copy of the Q Public License
      License along with this program;
      if not, write to:
        Artenum SARL, 101-103 Boulevard Mac Donald,
        75019, PARIS, FRANCE, e-mail: contact@artenum.com